Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.io.comparator
Class LastModifiedFileComparator

    java.lang.Object
      org.apache.commons.io.comparator.LastModifiedFileComparator

All Implemented Interfaces:
  Serializable, Comparator<File>

    public class LastModifiedFileComparator

extends Object
implements Serializable

Compare the last modified date/time of two files for order (see `File.lastModified()`).

This comparator can be used to sort lists or arrays of files by their last modified date/time.

Example of sorting a list of files using the `LASTMODIFIED_COMPARATOR` singleton instance:

           List<File> list = ...
           LastModifiedFileComparator.LASTMODIFIED_COMPARATOR.sort(list);

Example of doing a reverse sort of an array of files using the `LASTMODIFIED_REVERSE` singleton instance:

           File[] array = ...
           LastModifiedFileComparator.LASTMODIFIED_REVERSE.sort(array);

Since:
  Commons IO 1.4
Version:
  $Revision: 721626 $ $Date: 2008-11-29 04:46:54 +0000 (Sat, 29 Nov 2008) $
See Also:
  Serialized Form

Field Summary
`static Comparator<File>` | `LASTMODIFIED_COMPARATOR` Last modified comparator instance
`static Comparator<File>` | `LASTMODIFIED_REVERSE` Reverse last modified comparator instance

Constructor Summary
`LastModifiedFileComparator()`

Method Summary
`int` | `compare(File file1, File file2)` Compare the last the last modified date/time of two files.
`File[]` | `sort(File... files)` Sort an array of files.
`List<File>` | `sort(List<File> files)` Sort a List of files.
`String` | `toString()` String representation of this file comparator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### LASTMODIFIED_COMPARATOR

    public static final Comparator<File> LASTMODIFIED_COMPARATOR

  Last modified comparator instance

### LASTMODIFIED_REVERSE

    public static final Comparator<File> LASTMODIFIED_REVERSE

  Reverse last modified comparator instance

Constructor Detail

### LastModifiedFileComparator

    public LastModifiedFileComparator()

Method Detail

### compare

    public int compare(File file1,
                       File file2)

  Compare the last the last modified date/time of two files.

  Specified by:
    `compare` in interface `Comparator<File>`
  Parameters:
    `file1` - The first file to compare
    `file2` - The second file to compare
  Returns:
    a negative value if the first file's lastmodified date/time is less than the second, zero if the lastmodified date/time are the same and a positive value if the first files lastmodified date/time is greater than the second file.

### sort

    public File[] sort(File... files)

  Sort an array of files.

  This method uses `Arrays.sort(Object[], Comparator)` and returns the original array.

  Parameters:
    `files` - The files to sort, may be null
  Returns:
    The sorted array
  Since:
    Commons IO 2.0

### sort

    public List<File> sort(List<File> files)

  Sort a List of files.

  This method uses `Collections.sort(List, Comparator)` and returns the original list.

  Parameters:
    `files` - The files to sort, may be null
  Returns:
    The sorted list
  Since:
    Commons IO 2.0

### toString

    public String toString()

  String representation of this file comparator.

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation of this file comparator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2010 The Apache Software Foundation. All Rights Reserved.